#
# spec file for package python-gpgme (Version 0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-gpgme
Version:        0.1
Release:        2.4
Summary:        A Python module for working with OpenPGP messages
Group:          Development/Libraries/Python
License:        LGPL v2.1 or later
Url:            http://pypi.python.org/pypi/pygpgme
Source:         pygpgme-%{version}.tar.bz2
Patch:          pygpgme-0.1-py23.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  gpgme-devel

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and
decrypt messages using the OpenPGP format.

It is built on top of the GNU Privacy Guard and the GPGME library.



Authors:
--------
    James Henstridge <james@jamesh.id.au>

%prep
%setup -q -n pygpgme-%{version}
%patch -p1

%build
#CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT --prefix=%{_prefix}
# No need to ship the tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/gpgme/tests/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{py_sitedir}/*

%changelog
* Fri Feb  1 2008 cthiel@suse.de
- initial package (version 0.1)
